Subject: Re: [bug#57643] [PATCH 0/3] Document the image API.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 25 Sep 2022 22:15:53 +0200

Maxime Devos <[email-masked]> skribis:

> Going by
> https://www.intel.com/content/www/us/en/developer/articles/technical/intel-sdm.html
> , the official name is IA-32, not IA32.
>
> IA-32 sounds nice to me though, we could make that a thing in Guix,
> though for consistency 'target-x86-32?' would need to be renamed to
> 'target-ia32?' (I don't think the original casing and hyphenation is
> important for procedure names).

We could make that change, yes.

(I think this is secondary compared to the change you proposed to make,
which is to rename ‘i686-linux’ (the variable) to something else.  I
think the variable name must match the system type, and the system type
is non-negotiable because it’s what lets Guix distinguish between
derivations for two different hardware platforms.)

Ludo’.